Bug 99175 - [PATCH] x11/xbindkeys_config run-depends on x11/xbindkeys
Summary: [PATCH] x11/xbindkeys_config run-depends on x11/xbindkeys
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-19 11:10 UTC by Fabian Keil
Modified: 2006-06-27 19:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2006-06-19 11:10:19 UTC
x11/xbindkeys_config depends on x11/xbindkeys
to detect pressed keys. It dumps core if xbindkeys
is missing and the user clicks on the "Get Key" button:

fk@TP51 ~ $xbindkeys_config 
xbindkeys: not found
Segmentation fault: 11 (core dumped)

Fix: 

http://www.fabiankeil.de/sourcecode/freebsd/xbindkeys_config.diff

The patch also sets "Date:" and "Whom:" on two lines again. They got combined in:
http://www.freebsd.org/cgi/cvsweb.cgi/ports/x11/xbindkeys_config/Makefile.diff?r1=1.17&r2=1.18
and as there is no reason given I assume it was just a mistake.
How-To-Repeat: Install xbindkeys_config without previously
installing xbindkeys, start xbindkeys_config
and hit the "Get Key" button.
Comment 1 Stefan Walter freebsd_committer 2006-06-25 15:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2006-06-27 19:26:48 UTC
State Changed
From-To: open->closed

Committed, thanks. (With a slight rearrangement of a couple of lines to make 
portlint(1) happy.)